<template>
  <div class="puzle">
    <div class="container">
      <div class="text-3xl my-14 opacity-80 text-center">
        Лучший способ поднять настроение — вспомнить что-нибудь приятное.
      </div>
      <div class="px-10 sm:px-0">
        <div @click="modal=true" class="button mt-10 w-full sm:w-1/3 mx-auto mb-10">Заказать</div>
      </div>
      <div class="flex flex-col">
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full mr-4 mb-10 sm:mb-0" src="../../assets/images/order/cup.jpg" alt="">
          <div class="sm:w-1/2 w-full px-10">
            Наши кружки с фотографиями сделаны из качественной керамики. Они хорошо выдерживают высокие температуры,
            не трескаются со временем, поэтому вы можете спокойно пить как холодные, так и обжигающе горячие напитки.
            Фотопечать на кружках оформляется в двух вариантах: обычный с классическим белым фоном вокруг фото
            или способ с полной запечаткой* (фото растягивается на всю поверхность кружки).
          </div>
        </div>
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full block sm:hidden my-10 sm:my-0" src="../../assets/images/order/cup_2.jpg" alt="">
          <div class="sm:w-1/2 w-full mr-4 px-10">
            На выбор есть 6 ярких
            цветов, чтобы пить было веселее и приятнее. При полной запечатке допускается незначительное размытие
            изображения по верхнему и нижнему краю вследствие скругления краёв поверхности.
            <span class="opacity-60 text-sm"><br/>Изделие не рекомендуется мыть в посудомоечной машине.</span>
          </div>
            <img class="sm:w-1/2 w-full hidden sm:block" src="../../assets/images/order/cup_2.jpg" alt="">
        </div>
      </div>
    </div>
    <Modal v-if="modal" @close="modal=false" :is-close="false" :is-confirm="false">
      <template v-slot:body>
        <div class="text-white">
          <Form theme="cup"/>
        </div>
      </template>
    </Modal>
  </div>
</template>

<script>
import Modal from "../../components/Modal.vue";
import {ref} from "vue";
import Form from "../../components/Form.vue";
export default {
  name: "Cup",
  components: {Form, Modal},
  setup() {
    const modal = ref(false)
    return {
      modal,
    }
  }
}
</script>

<style scoped>

</style>
